# Environment setup

This is for setting up the development environment, as well the projects and building them. It's not meant for beginners or those unfamilliar with the project.

> **Note**\
> It is hightly recommended to read the guide at least once before executing it.

## Legend

**Path**     | **What**                      | **Example**
------------ | ----------------------------- | ----------------------
`%gamedir%`  | Escape From Tarkov (Live)     | `C:/games/EFT (Live)`
`%akidir%`   | Where AKI needs to be located | `C:/games/aki`
`%server%`   | server project                | `C:/projects/server`
`%launcher%` | launcher project              | `C:/projects/launcher`
`%modules%`  | modules project               | `C:/projects/modules`

## Requirements

* Escape From Tarkov (Live)
* [Node 12.18.2](https://nodejs.org/download/release/v12.18.2/node-v12.18.2-x64.msi)
* [Visual Studio Build Tools](https://visualstudio.microsoft.com/thank-you-downloading-visual-studio/?sku=BuildTools&rel=16)
* [VSCodium](https://github.com/VSCodium/vscodium/releases/download/1.51.1/VSCodiumSetup-x64-1.49.1.exe)
* [Git](https://github.com/git-for-windows/git/releases/download/v2.29.2.windows.2/Git-2.29.2.2-64-bit.exe)

## Development environment

### Node

1. Install `npm package manager`.
2. Uncheck `install chocolaty`.

### Visual Studio Build Tools

* Check `.NET desktop development`.
* Select `Download all, then install`.

### VSCodium

* Check `Register VSCodium as an editor for supported file types`.
* Check `Add to PATH`.

### Git

1. Check only `Associate .git* configuration with the default text editor`.
2. Select `Use VSCodium`.
3. Select `Git from the command line`.
4. Select `Checkout windows-style`.
5. Select `Use Windows' default console window`.
6. Select `Default (fast-forward or merge)`.
7. Select `Git Credential Manager`.
8. Check only `Enable file system caching`.
9. Leave unchecked `Enable experimental support`.

## Server

1. Open VSCodium.
2. Clone Repository > `https://dev.offline-tarkov.com/SPT-AKI/Server.git`.
3. Open `%server%/Server.code-workspace`.
4. Terminal > Run Task... > NPM > install.
5. Terminal > Run Build Task ... .

## Launcher

1. Open VSCodium.
2. Clone Repository > `https://dev.offline-tarkov.com/SPT-AKI/Launcher.git`.
3. Open `%launcher%/Launcher.code-workspace`.
4. Terminal > Run Build Task... .

## Modules

1. Open VSCodium.
2. Clone Repository > `https://dev.offline-tarkov.com/SPT-AKI/Modules.git`.
3. Open `%modules%/Modules.code-workspace`.
4. Terminal > Run Build Task... .

## Game files

1. Copy-paste `%gamedir%` to `%akidir%`.
2. Copy-paste `%server%/project/Server.exe` and `%server%/project/packages/` to `%akidir%`.
3. Copy-paste `%launcher%/project/Build/Launcher.exe` and `%launcher%/project/Buiild/Launcher_data/` to `%akidir%`.
4. Copy-paste `%modules%/project/Build/EscapeFromTarov_Data/` to `%akidir%`.

## Conclusion

Well done, you've succesfully set up and built the development build. Now you can get started with contributing to the project.
