# FAQ

This page will hopefully help you troubleshoot and fix most of the common problems that you might encounter.

## Launcher

## Install .NET 5

Install [this](https://dotnet.microsoft.com/download/dotnet/thank-you/runtime-desktop-5.0.0-windows-x64-installer)

### No servers are available

Make sure that `Server.exe` says that the server is running, then press the refresh button in the launcher.

### No connection can be established

Make sure that `Server.exe` says that the server is running.

### Error: "Object reference not set to an instance of an object"

Make sure you played EFT (Live) at least once on your current windows installation.

1. Start the server *(Server.exe)*.
2. Start the client *(EscapeFromTarkov.exe)*.
3. Wait about 10 seconds on the game loading screen.
4. Close the game *(`Alt + F4`)*.
5. Start `Launcher.exe`.

### Cleaning the temp files

1. Open the launcher.
2. Click on the cogwheel in the right upper corner.
3. Click the **clean temp files** button.

## Server

### Installing mods

Mods should be added the `<server>/mods` directory, located in the server directory.

## Game

### Error: "Input string 'number' is not a valid integer."

![Image showcasing the error](./assets/img/sp-tarkov/faq/error_int_as_string.png)

**⚠️ Close both the game and server when editing the profile⚠️ .**

1. Open `<server>/user/profiles/yourProfileID.json` in VSCodium.
2. Search for the number appearing in the error
3. Remove the **".5"** of the number
4. Save the file
5. Start the server

### Endless loading

Your client version is wrong.
Make sure your client version is supported.
Make sure you installed the files correctly.

## Other

### Playing with friends / multiplayer

Play Escape From Tarkov (Live) [here](https://www.escapefromtarkov.com/preorder-page).

*SPT-AKI won't have multiplayer capabilities*.
If you ever find videos of people playing with others, it's not made by the SPT-AKI developers and is not related to it.

### Using the underbarrel grenade launcher

The underbarrel grenade launcher (GP-34) have issues when reloading that will block your character and prevent you from anything else in a raid.
It's not meant to be useable *(at the moment)*, otherwise it would be available on the official game.

### Stuck in the right click menu UI

You can reduce your mouse right click speed in the windows options.

![Windows 10 mouse settings menu](./assets/img/sp-tarkov/faq/mouse1.png)

![Additional mouse options menu](./assets/img/sp-tarkov/faq/mouse2.png)
