# SPT-AKI Setup Guide

This guide covers the installation process for any of the releases of SPT-AKI since version `alpha-r6`.

## Prerequisites

To install SPT-AKI on your system you need the following:

* A legal copy of [Escape From Tarkov](https://www.escapefromtarkov.com/preorder-page)
* Microsoft  [.NET 5.0 Runtime (64bits)](https://dotnet.microsoft.com/download/dotnet/thank-you/runtime-desktop-5.0.0-windows-x64-installer)
* [Visual C++ Redistributable Packages for Visual Studio 2013](https://www.microsoft.com/en-ie/download/details.aspx?id=40784)
* Up to data for [DirectX End-User Runtimes](https://www.microsoft.com/en-ie/download/details.aspx?id=35)

## Install SPT-AKI

### Checking compatibility

* Start the official Escape from Tarkov launcher (BSG Launcher) and check the game version, located on the bottom right corner of the launcher.

![BSG Launcher](../assets/img/spt-aki/setup/001.png)

* Go to the [SPT-AKI releases page](https://mods.sp-tarkov.com/files/file/16-spt-aki) and download the release compatible with that version.

<!-- FIXME: use actual screenshot -->
![Release page with the matching version highlighted](../assets/img/spt-aki/setup/002.png)

If for any reason there is no compatible release is available for your game version, you will need to wait until SPT-AKI is updated to support the latest Escape from Tarkov version.

> **Info**\
> A release of SPT-AKI is only compatible with a specific Escape From Tarkov game version due to the fact that some parts of the game's code are changing with each patch. If an uncompatible client/release combo is used, the game won't be able to start or work properly.

### Preparing the client

Now that you've made sure that you're using a compatible game version and SPT-AKI release you will go ahead and create the basis for SPT-AKI to work.

* Create a new `SPT-AKI` folder where you want it to be located.

> **Note**\
> For this guide we will use `C:\Games\SPT-AKI` as the location for our install. As such, our screenshot might reflect it, but you are free to install it wherever you want.

* Go to your Escape from Tarkov installation folder.
* Copy the `EFT (live)` folder content and paste it into the `SPT-AKI` folder you just created.

You should now have a folder looking like the screenshot below:

![SPT-AKI install folder](../assets/img/spt-aki/setup/003.png)

You now have created a copy of your regular Escape from Tarkov installation to avoid any unfortunate mishaps and potential ban, were you to install SPT-AKI over your main EFT install.

### Installing the release

You've made sure to have a compatible game version, created a copy of your EFT install and you're now ready to finally install the SPT-AKI release you downloaded earlier.

To do so:

* Extract the content of the release archive onto your Escape From Tarkov install copy.

![Archive with extraction options](../assets/img/spt-aki/setup/004.png)

![Extraction menu](../assets/img/spt-aki/setup/005.png)

* When asked if files should be replaced, select `Replace the files in the destination`.

![some image](../assets/img/spt-aki/setup/006.png)

You now have an SPT-AKI installation ready to use.

Your install folder should look like the one in the screenshot below:

![SPT-AKI install folder](../assets/img/spt-aki/setup/007.png)
## First run

It's now time to do a test run and start the server, launcher and game for the first time.

To do so, go into the SPT-AKI installation folder and:

* Double-click on the `Server` executable.

> **Note**\
> On its first run, the server will generate a new self signed x509 certificate. On the following startups, the server output in the console will be slightly different. Below is a screenshot of the server console on its first start up.
> ![Server console](../assets/img/spt-aki/setup/008.png)

If there is no error, or if the server is not crashing directly, you have successfully installed it and can proceed with the other step.

* Go into SPT-AKI installation folder and start the launcher by double-clicking on the `Launcher` executable.

As with the server, if there is no error message, or if the launcher is not crashing directly you can proceed with the other steps. If not, you may want to read the install guide again and check if your problem can be solved by one of the solutions listed in the [FAQ](./#getting_started/faq.md)

![Launcher](../assets/img/spt-aki/setup/009.png)

* Register a new account.

![Registering a new account](../assets/img/spt-aki/setup/010.png)

* Start the game by clicking `Start Game` in the launcher.

> **Note**\
> The launcher will retain your login informations between each launch so that you don't have to always log back into it.

* In the game, proceed with the onboarding until you reached the main menu.

![Game main menu](../assets/img/spt-aki/setup/011.png)

Congratulation, you've successfully installed SPT-AKI !