# Getting started

You will begin by creating a fresh profile using the SPT-AKI launcher. At the end of this tutorial, you will have prepared everything needed to proceed with the next steps.

In this part you will be doing the following:

1. Create a new profile
2. Identify your newly created profile.
3. Learn how to back up a profile simply.

## Legend

The table below is a set of "expressions" that will be used to avoid writing information that might not apply to your use case, such as the path to your SPT-AKI installation, or a randomly generated value.

Expression    | What                        | Example
--------------|-----------------------------|--------
`%game%`      | SPT-AKI install location.   | `C:\Games\SPT-AKI`
`%profileID%` | File containing a profile.  | `C:\Games\SPT-AKI\user\profiles\9dbfcbf0d3be487b9ac20cd8.json`

## Creating a new profile

You want a way to fool around in SPT-AKI, but without also ruining the fun of having a character evolving normally. As such, creating a new dedicated profile is probably the best way of achieving this goal.

To create a new profile:

1. Start SPT-AKI's server by going into `%game%` and double-clicking on the server executable.
2. Start SPT-AKI's launcher by going into `%game%` and double-clicking on the launcher executable.
3. Create a new profile through the launcher.

![logging out of account 1/2](../assets/img/spt-aki/tutorials/tut_0/002.png)
![logging out of account 2/2](../assets/img/spt-aki/tutorials/tut_0/003.png)
![registering a new account](../assets/img/spt-aki/tutorials/tut_0/004.png)
![account ready](../assets/img/spt-aki/tutorials/tut_0/005.png)

> **Note**\
> At this point the profile file is already created, but the file is mostly empty. The profile still need to go through the on-boarding process in the game that will populate the file much more.

4. Starts the game.
5. Go through the on-boarding and choose your language, nickname and faction.

![main menu](../assets/img/spt-aki/tutorials/tut_0/006.png)

6. Quit the game.
7. Close the launcher.
8. Close the server.

> Note about profile saving...

## Identifying a profile

Now that you have created a new profile, you will need to identify it in the server files. Profiles are stored with a unique random ID. As such, it may seem hard to know where and which file to look for.

To find a specific profile:

1. Go into `%game%\user\profiles`.
2. One by one, open a profile file in a code editor and look for the `email` and/or `Nickname` properties.

![profile file content](../assets/img/spt-aki/tutorials/tut_0/007.png)

After a bit of research you should have now identified which profile you want to use and can proceed with the next step.

> **Alternative "quick" way**\
> You can quickly identify a profile ID by checking for which profile are the request sent to the server. The ID will be listed at the start of each server's request in the server window. Once you've identified the profile ID, you can directly go look for the profile file with the same name in `%game%\user\profiles\`.
> ![profile file content](../assets/img/spt-aki/tutorials/tut_0/008.png)

## Making a backup

> **Note**\
> This section talks about a good practices that could save you some time in case of an error or a corrupted profile. If you want to just move on with the next steps you can directly go to the [next page](./#tutorials/tut_0/tut0_2.md).

Making a profile backup will allow you to not lose your work if you make a mistake while editing your profile. It's also very useful in case of profile corruption due to a server error and/or improper profile save.

To backup a profile, it's recommended to create a new folder out of any of the folders used by the server to write data (like `%game%\user\profiles\`) and to create a 'backups' folder at the root of the server directory.

This way, if you ever wanted to roll back and/or restore a corrupted profile, you would just need to go get a previous version of it and copy/paste it over the faulty file.

## Summary

* You learned how to identify a profile.
* You learned how to simply back up a profile.
