# Editing a character's skill level

In Escape from Tarkov, skills are the representation of the proficiency of your PMC with sets of activities. Low level skills will make your PMC feel like a newly enrolled guerrilla fighter, while maximum level skills will turn you into a real war machine !

To do so:

* Open your character profile (`%game%\user\%profileId%`) with your code editor.
* Search for the first line with the `Skills` property.

![Screenshot of the profile file](../assets/img/spt-aki/tutorials/tut_0/012.png)

The `Skills` property contains a list of all the character's skills. For skills, their levels are derived from an experience points amount, much like the character experience.

> **Note**\
> The difference between a character level and its skill levels is that each skill level is an increment of 100 points and that the maximum level for each skill is level 51. A character with an Endurance skill and 100 points in it will have it at level 1. At 500  it will be level 5, and so on.

* Open the search & replace bar of the code editor (shortcut: `Ctrl + H`).
* In the first field, copy and paste the like `Progress` property of any of the skills. As they are all at `0`, it should find 56 matches.

![Screenshot of the search with search field](../assets/img/spt-aki/tutorials/tut_0/013.png)
![Screenshot of the search with search field filled](../assets/img/spt-aki/tutorials/tut_0/014.png)

* In the second field copy and paste `Progress": 5100` *(to reach the max level: 51)*.

![Screenshot of the search with replace field filled](../assets/img/spt-aki/tutorials/tut_0/015.png)

* Click on the `Replace All` button to instantly replace the value for all the skills.

![Screenshot of the replace all button](../assets/img/spt-aki/tutorials/tut_0/016.png)

You've now upgraded all your skills to level 51. **BUT** ! If you stop there, save your changes and start the game, you will encounter a "small" problem when you will reload because of the `BotReload` skill. Your PMC will reload at the speed of light and it will look bugged.

To prevent this problem (or fix it):

* Search for `BotReload` in the profile file.
* Change the `Progress` value back to `0`.
* Save your changes.

Congratulations, you made your PMC reach it's physical peak ! If you start the game, and check your PMC skills screen you should now have something similar to the screenshot below:

![Screenshot of the skills screen](../assets/img/spt-aki/tutorials/tut_0/017.png)

With this part of the tutorial done, you're now ready to move one to the next step: [Editing your character's quests status](./#tutorials/tut_0/tut0_4.md).
